# Class: LabelledValue

## LabelledValue()

#### new LabelledValue()

NB: Attributes not available here - use connectedCallback to reference

Source:
  - labelled-value.js, line 204

### Members

#### componentVersion

Component version

Source:
  - labelled-value.js, line 142

#### componentVersion

Component version

Source:
  - labelled-value.js, line 142

#### keep-slot

If true, keeps the slot content when the value changes

Source:
  - labelled-value.js, line 167

#### keep-slot

If true, keeps the slot content when the value changes

Source:
  - labelled-value.js, line 167

#### label

Set the label to show

Source:
  - labelled-value.js, line 187

#### label

Get the current shown label

Source:
  - labelled-value.js, line 199

#### label

Set the label to show

Source:
  - labelled-value.js, line 187

#### label

Get the current shown label

Source:
  - labelled-value.js, line 199

#### value

Set the value to show

Source:
  - labelled-value.js, line 170

#### value

Get the current shown value

Source:
  - labelled-value.js, line 182

#### value

Set the value to show

Source:
  - labelled-value.js, line 170

#### value

Get the current shown value

Source:
  - labelled-value.js, line 182

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - labelled-value.js, line 147

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - labelled-value.js, line 147

### Methods

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - labelled-value.js, line 215

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - labelled-value.js, line 215

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - labelled-value.js, line 226

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - labelled-value.js, line 226

## LabelledValue()

#### new LabelledValue()

NB: Attributes not available here - use connectedCallback to reference

Source:
  - labelled-value.js, line 204

### Members

#### componentVersion

Component version

Source:
  - labelled-value.js, line 142

#### componentVersion

Component version

Source:
  - labelled-value.js, line 142

#### keep-slot

If true, keeps the slot content when the value changes

Source:
  - labelled-value.js, line 167

#### keep-slot

If true, keeps the slot content when the value changes

Source:
  - labelled-value.js, line 167

#### label

Set the label to show

Source:
  - labelled-value.js, line 187

#### label

Get the current shown label

Source:
  - labelled-value.js, line 199

#### label

Set the label to show

Source:
  - labelled-value.js, line 187

#### label

Get the current shown label

Source:
  - labelled-value.js, line 199

#### value

Set the value to show

Source:
  - labelled-value.js, line 170

#### value

Get the current shown value

Source:
  - labelled-value.js, line 182

#### value

Set the value to show

Source:
  - labelled-value.js, line 170

#### value

Get the current shown value

Source:
  - labelled-value.js, line 182

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - labelled-value.js, line 147

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - labelled-value.js, line 147

### Methods

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - labelled-value.js, line 215

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - labelled-value.js, line 215

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - labelled-value.js, line 226

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - labelled-value.js, line 226